Bug 28082 - Add acquisitions toolbar to vendors on vendor search page
Summary: Add acquisitions toolbar to vendors on vendor search page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual-updated
Depends on:
Blocks: 31921 31096
  Show dependency treegraph
 
Reported: 2021-04-02 18:25 UTC by Owen Leonard
Modified: 2022-10-21 15:47 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch updates the vendor search results page in acquisitions so that a button toolbar is shown for each vendor in search results. This gives quick access to operations for each vendor, like editing the vendor, adding a basket, or receiving a shipment. Now the number of open baskets and subscriptions is shown for each vendor in the search result, linking to the details of those entries. Inactive vendors are now styled differently than active vendors in order to improve clarity.
Version(s) released in:
22.05.00


Attachments
Bug 28082: Add acquisitions toolbar to vendors on vendor search page (15.71 KB, patch)
2022-03-21 16:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28082: Add acquisitions toolbar to vendors on vendor search page (15.81 KB, patch)
2022-04-21 04:50 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 28082: Add acquisitions toolbar to vendors on vendor search page (15.82 KB, patch)
2022-04-25 11:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-04-02 18:25:04 UTC
We can improve consistency and expand functionality be adding inclusion of the acquisitions toolbar include on the vendor search results page.
Comment 1 Owen Leonard 2022-03-21 16:15:44 UTC
Created attachment 131986 [details] [review]
Bug 28082: Add acquisitions toolbar to vendors on vendor search page

This patch makes a number of changes to the vendor search/view template
in order to make it work better in different contexts:

- Add a vendor-specific toolbar under each vendor search result. This
  gives instant access to the options for a new basket, new contract,
  vendor edit, or to receive shipments. A delete button will appear if
  available.
- Add a summary of the number of baskets and subscriptions. This helps
  the user know if there are closed baskets and whether an outstanding
  subscription might be blocking the option to delete. Each number is
  linked to the view of those entries.
- Indicate whether a vendor is inactive. The vendor name appears in a
  different color when it is inactve and is labeled as such.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To test you should have multiple vendors in your system, some active
  and some inactive. Add some baskets and subscriptions to one or more
  if necessary.
- Go to Acquisitions and submit an empty vendor search to show all
  vendors.
- Verify that the page looks correct and that all controls work as
  expected.
- Open the basket view for a single vendor and compare the two views.
Comment 2 Aleisha Amohia 2022-04-21 04:50:53 UTC
Created attachment 133517 [details] [review]
Bug 28082: Add acquisitions toolbar to vendors on vendor search page

This patch makes a number of changes to the vendor search/view template
in order to make it work better in different contexts:

- Add a vendor-specific toolbar under each vendor search result. This
  gives instant access to the options for a new basket, new contract,
  vendor edit, or to receive shipments. A delete button will appear if
  available.
- Add a summary of the number of baskets and subscriptions. This helps
  the user know if there are closed baskets and whether an outstanding
  subscription might be blocking the option to delete. Each number is
  linked to the view of those entries.
- Indicate whether a vendor is inactive. The vendor name appears in a
  different color when it is inactve and is labeled as such.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To test you should have multiple vendors in your system, some active
  and some inactive. Add some baskets and subscriptions to one or more
  if necessary.
- Go to Acquisitions and submit an empty vendor search to show all
  vendors.
- Verify that the page looks correct and that all controls work as
  expected.
- Open the basket view for a single vendor and compare the two views.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 3 Katrin Fischer 2022-04-25 11:03:42 UTC
It feels a little bulky, but all works well. I like the new counts and I like that it could all be hidden with CSS just in case.
Comment 4 Katrin Fischer 2022-04-25 11:04:26 UTC
Created attachment 133736 [details] [review]
Bug 28082: Add acquisitions toolbar to vendors on vendor search page

This patch makes a number of changes to the vendor search/view template
in order to make it work better in different contexts:

- Add a vendor-specific toolbar under each vendor search result. This
  gives instant access to the options for a new basket, new contract,
  vendor edit, or to receive shipments. A delete button will appear if
  available.
- Add a summary of the number of baskets and subscriptions. This helps
  the user know if there are closed baskets and whether an outstanding
  subscription might be blocking the option to delete. Each number is
  linked to the view of those entries.
- Indicate whether a vendor is inactive. The vendor name appears in a
  different color when it is inactve and is labeled as such.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- To test you should have multiple vendors in your system, some active
  and some inactive. Add some baskets and subscriptions to one or more
  if necessary.
- Go to Acquisitions and submit an empty vendor search to show all
  vendors.
- Verify that the page looks correct and that all controls work as
  expected.
- Open the basket view for a single vendor and compare the two views.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2022-05-11 01:18:43 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄